package com.emato.ich.api;

import com.emato.ich.contant.ICSPConstant;

public enum  ICSPApi {

    /**
     * 投递员登录接口
     */
    LOGIN(ICSPConstant.ICSP_SERVICE + "/deliverer/login", "POST"),
    /**
     * 获取柜子信息接口
     */
    GET_CABINET_INFO(ICSPConstant.ICSP_SERVICE + "/cab/cabInfo/available", "POST"),
    /**
     * MQ预下单接口
     */
    MQ_PREPARED_ORDER(ICSPConstant.ICSP_SERVICE + "/icsp-client/od/order/prepared/%s", "POST"),
    /**
     * HTTP预下单
     */
    PREPARED_ORDER(ICSPConstant.ICSP_SERVICE + "/order/deliverer/prepare", "POST"),
    /**
     * 下单接口
     */
    DELIVERER_ORDER(ICSPConstant.ICSP_SERVICE + "/order/deliverer/confirm", "POST"),
    /**
     * 取件接口
     */
    TAKE_PARCEL(ICSPConstant.ICSP_SERVICE + "/order/collect/pickUpTakeObject", "POST"),
    /**
     * 获取配置
     */
    GET_SYSTEM_CONFIG(ICSPConstant.ICSP_SERVICE + "/config/cabinet/get", "POST"),
    /**
     * 获取用户手机号
     */
    GET_USER_PHONE_NUMBER(ICSPConstant.ICSP_SERVICE + "/deliverer/queryOrder", "POST"),
    /**
     * 获取更新apk信息
     */
    GET_UPDATE_PATH(ICSPConstant.ICSP_SERVICE + "/config/cabinet/upgradeByXUpdate", "POST")
    ;



    private String url;
    private String method;

    ICSPApi(String url, String method) {
        this.url = url;
        this.method = method;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }
}
